package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hanghui.outapi.platform.common.utils.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.enums
 * @class IdCardReaderBrandEnum
 * @date 2024/3/12 下午1:21
 * @description
 */
@AllArgsConstructor
@Getter
public enum IdCardReaderBrandEnum {

    NFC(1, "NFC在线阅读器"),
    TB(2, "天波阅读器"),
    DX(3, "东信阅读器"),
    XZX(4, "新中新阅读器"),
    DK(5, "德卡阅读器"),
    JL(6, "精伦阅读器"),
    HS(7, "华视阅读器"),
    ZAWL(8, "中安未来离线护照机阅读器模块"),
    DXDHY(9, "东信多合一"),
    ER301(10, "在线身份证NFC（ER301）"),
    LJ(11, "数信研究所"),
    EST_M20(12, "EST-M20东信手持机阅读器"),
    ;

    public static IdCardReaderBrandEnum queryEnumByCode(Integer code) {
        if (Preconditions.isBlank(code)) {
            return null;
        }
        for (IdCardReaderBrandEnum enumObject : values()) {
            if (enumObject.code == code.intValue()) {
                return enumObject;
            }
        }
        return null;
    }

    private int code;
    private String desc;


}
